﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Web;

namespace Web_Server_EHEC.DAL
{
    public class OriginDAL
    {
        [DataContract]
        public class Origin
        {
            private int _OriginId;
            private string _Name;
            private string _Street;
            private string _City;

            [DataMember]
            public int OriginId { get => _OriginId; set => _OriginId = value; }
            [DataMember]
            public string Name { get => _Name; set => _Name = value; }
            [DataMember]
            public string Street { get => _Street; set => _Street = value; }
            [DataMember]
            public string City { get => _City; set => _City = value; }

            public Origin() { }
            public Origin(string name, string street, string city)
            {
                this.Name = name;
                this.Street = street;
                this.City = city;
            }
        }
    }
}