﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Web;
using Web_Server_EHEC.ISL;

namespace Web_Server_EHEC.DAL
{
    public class ResultDAL
    {
        [DataContract]
        public class Result
        {
            private int _ResultId;
            private string _Name;
            private string _Description;

            [DataMember]
            public int ResultId { get => _ResultId; set => _ResultId = value; }
            [DataMember]
            public string Name { get => _Name; set => _Name = value; }
            [DataMember]
            public string Description { get => _Description; set => _Description = value; }


            public Result() { }
            public Result(string name, string description)
            {
                this.Name = name;
                this.Description = description;
            }
        }
    }
}