﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;
using Web_Server_EHEC.DAL;

namespace Web_Server_EHEC.ISL
{
    public class Context : DbContext
    {
        public Context() : base("EHEC_DB") { }
        public DbSet<DoctorDAL> Doctors { get; set; }
        public DbSet<PatientDAL> Patients { get; set; }
        public DbSet<ExamDAL> Exams { get; set; }
        public DbSet<ResultDAL> Results { get; set; }
        public DbSet<OriginDAL> Origins { get; set; }

    }
}