﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using Web_Server_EHEC.Model;
using System.Data.Entity;
using Web_Server_EHEC.DAL;
using Web_Server_EHEC.ISL;

namespace Web_Server_EHEC
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "Service" in code, svc and config file together.
    // NOTE: In order to launch WCF Test Client for testing this service, please select Service.svc or Service.svc.cs at the Solution Explorer and start debugging.
    public class Service : IService
    {

        public void WritePatient(Patient patient)
        {
            PatientISL dataaccess = new PatientISL();
            dataaccess.CreatePatient(patient);
        }

        public void WriteResult(Result result)
        {
            ResultISL dataaccess = new ResultISL();
            dataaccess.CreateResult(result);
        }

        public void WriteExam(Exam exam)
        {
            ExamISL dataaccess = new ExamISL();
            dataaccess.CreateExam(exam);
        }

        public void WriteDoctor(Doctor doctor)
        {
            DoctorISL dataaccess = new DoctorISL();
            dataaccess.CreateDoctor(doctor);
        }

    }
}
