﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Web_Server_EHEC.Model;

namespace Web_Server_EHEC.ISL
{
    public class ResultISL
    {
        public List<Result> GetAllResults()
        {
            using (EHEC_DB_ModelContainer ctx = new EHEC_DB_ModelContainer())
            {
                return ctx.ResultSet.ToList();
            }
        }
        public bool CreateResult(Result result)
        {
            try
            {
                using (EHEC_DB_ModelContainer ctx = new EHEC_DB_ModelContainer())
                {
                    ctx.ResultSet.Add(result);
                    ctx.SaveChanges();
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }
        }

        public bool UpdateResult(Result result)
        {
            try
            {
                using (EHEC_DB_ModelContainer ctx = new EHEC_DB_ModelContainer())
                {
                    ctx.ResultSet.Attach(result);
                    ctx.Entry(result).State = System.Data.Entity.EntityState.Modified;
                    ctx.SaveChanges();
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }

        }
        public bool DeleteResult(Result result)
        {
            try
            {
                using (EHEC_DB_ModelContainer ctx = new EHEC_DB_ModelContainer())
                {
                    ctx.ResultSet.Attach(result);
                    ctx.ResultSet.Remove(result);
                    ctx.SaveChanges();
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }
        }
    }
}